cURL
curl --request GET \
--url https://api.maesn.dev/accounting/v2/dimensions/{dimension}import requests
url = "https://api.maesn.dev/accounting/v2/dimensions/{dimension}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.maesn.dev/accounting/v2/dimensions/{dimension}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "08c99551-49ae-4418-9e76-c618d9b21c81",
"code": "CS1",
"createdDate": "2025-06-01T11:09:11.533Z",
"description": "Cost center 1",
"dimension": "CostCenter",
"name": "Jerde, Greenfelder and Jacobi",
"status": "ACTIVE",
"updatedDate": "2025-06-01T11:09:11.533Z"
}
]
}Get dimensions by dimension
GET
/
accounting
/
v2
/
dimensions
/
{dimension}
cURL
Field support per integration

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.none Support pagination:
trueSupport rawData: trueSupported Response Fields:
string
string
string
string
string

Exact Online
Exact Online
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.If you’re retrieving projects from Exact Online, your account must have one of the following package subscriptions enabled:
- Manufacturing (any tier)
- Professional Services (Plus, Professional, or Premium)
- Wholesale & Distribution (any tier)
none Support pagination:
true Support rawData:
trueSupported Response Fields:string
string
string
string
string
string
string

Twinfield
Twinfield
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section.none Support pagination:
true Support rawData:
falseSupported Response Fields:string
string
string
string
string
Last modified on June 10, 2026
Was this page helpful?